.. _mmctl:

mmctl
-----

Remote client for the Open Source, self-hosted Slack-alternative

Synopsis
~~~~~~~~


Mattermost offers workplace messaging across web, PC and phones with archiving, search and integration with your existing systems. Documentation available at https://docs.mattermost.com

Options
~~~~~~~

::

      --config string                path to the configuration file (default "$XDG_CONFIG_HOME/mmctl/config")
      --disable-pager                disables paged output
  -h, --help                         help for mmctl
      --insecure-sha1-intermediate   allows to use insecure TLS protocols, such as SHA-1
      --insecure-tls-version         allows to use TLS versions 1.0 and 1.1
      --json                         the output format will be in json format
      --local                        allows communicating with the server through a unix socket
      --quiet                        prevent mmctl to generate output for the commands
      --strict                       will only run commands if the mmctl version matches the server one
      --suppress-warnings            disables printing warning messages

SEE ALSO
~~~~~~~~

* `mmctl auth <mmctl_auth.rst>`_ 	 - Manages the credentials of the remote Mattermost instances
* `mmctl bot <mmctl_bot.rst>`_ 	 - Management of bots
* `mmctl channel <mmctl_channel.rst>`_ 	 - Management of channels
* `mmctl command <mmctl_command.rst>`_ 	 - Management of slash commands
* `mmctl completion <mmctl_completion.rst>`_ 	 - Generates autocompletion scripts for bash and zsh
* `mmctl compliance-export <mmctl_compliance-export.rst>`_ 	 - Management of compliance exports
* `mmctl config <mmctl_config.rst>`_ 	 - Configuration
* `mmctl docs <mmctl_docs.rst>`_ 	 - Generates mmctl documentation
* `mmctl export <mmctl_export.rst>`_ 	 - Management of exports
* `mmctl extract <mmctl_extract.rst>`_ 	 - Management of content extraction job.
* `mmctl group <mmctl_group.rst>`_ 	 - Management of groups
* `mmctl import <mmctl_import.rst>`_ 	 - Management of imports
* `mmctl integrity <mmctl_integrity.rst>`_ 	 - Check database records integrity.
* `mmctl job <mmctl_job.rst>`_ 	 - Management of jobs
* `mmctl ldap <mmctl_ldap.rst>`_ 	 - LDAP related utilities
* `mmctl license <mmctl_license.rst>`_ 	 - Licensing commands
* `mmctl logs <mmctl_logs.rst>`_ 	 - Display logs in a human-readable format
* `mmctl oauth <mmctl_oauth.rst>`_ 	 - Management of OAuth2 apps
* `mmctl permissions <mmctl_permissions.rst>`_ 	 - Management of permissions
* `mmctl plugin <mmctl_plugin.rst>`_ 	 - Management of plugins
* `mmctl post <mmctl_post.rst>`_ 	 - Management of posts
* `mmctl roles <mmctl_roles.rst>`_ 	 - Manage user roles
* `mmctl saml <mmctl_saml.rst>`_ 	 - SAML related utilities
* `mmctl sampledata <mmctl_sampledata.rst>`_ 	 - Generate sample data
* `mmctl system <mmctl_system.rst>`_ 	 - System management
* `mmctl team <mmctl_team.rst>`_ 	 - Management of teams
* `mmctl token <mmctl_token.rst>`_ 	 - manage users' access tokens
* `mmctl user <mmctl_user.rst>`_ 	 - Management of users
* `mmctl version <mmctl_version.rst>`_ 	 - Prints the version of mmctl.
* `mmctl webhook <mmctl_webhook.rst>`_ 	 - Management of webhooks
* `mmctl websocket <mmctl_websocket.rst>`_ 	 - Display websocket in a human-readable format

